<?php
/*
Plugin Name: Biuro Services
Description: Biuro Services plugin
Author: Biuro
Version: 1.0
Author URI: https://www.biuro.lt/
*/


class Biuro_Services extends WP_Widget {
    // Main constructor
    public function __construct() {
        parent::__construct(
            'biuro-services',
            __( 'Biuro Services | Biuro', 'biuro' ),
            array(
                'customize_selective_refresh' => true,
            )
        );
    }

    // The widget form (for the backend )
    public function form( $instance ) {
        // Set widget defaults
        $defaults = array(
            'title1'    => '',
            'position1'    => '',
            'content1' => '',
            'title2'    => '',
            'position2'    => '',
            'content2' => '',
            'title3'    => '',
            'position3'    => '',
            'content3' => '',
            'title4'    => '',
            'position4'    => '',
            'content4' => '',
            'title5'    => '',
            'position5'    => '',
            'content5' => '',
            'title6'    => '',
            'position6'    => '',
            'content6' => '',
            'title7'    => '',
            'position7'    => '',
            'content7' => '',
            'title8'    => '',
            'position8'    => '',
            'content8' => '',
        );


        // Parse current settings with defaults
        extract( wp_parse_args( ( array ) $instance, $defaults ) ); ?>

<?php
        for ($i = 1; $i <= 3; $i++):
?>
        <p>
            <label for="<?php echo esc_attr( $this->get_field_id( 'title' . $i ) ); ?>"><?php _e( 'Title', 'biuro' ); ?><?php echo ' ' . $i . ':';  ?></label>
            <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'title' . $i ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'title' . $i ) ); ?>" type="text" value="<?php echo esc_attr( ${'title' . $i} ); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr( $this->get_field_id( 'position' . $i ) ); ?>"><?php _e( 'Position', 'biuro' ); ?><?php echo ' ' . $i . ':';  ?></label>
            <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'position' . $i ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'position' . $i ) ); ?>" type="text" value="<?php echo esc_attr( ${'position' . $i} ); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr( $this->get_field_id( 'content' . $i ) ); ?>"><?php _e( 'Services', 'biuro' ); ?><?php echo ' ' . $i . ':';  ?></label>
            <textarea class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'content' . $i ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'content' . $i ) ); ?>" rows="4"><?php echo wp_kses_post( ${'content' . $i} ); ?></textarea>
        </p>
<?php
        endfor;
 ?>

    <?php }

    // Update widget settings
    public function update( $new_instance, $old_instance ) {
        $instance = $old_instance;

        for ($i = 1; $i <= 3; $i++):
            $instance['title' . $i]    = isset( $new_instance['title' . $i] ) ? wp_strip_all_tags( $new_instance['title' . $i] ) : '';
            $instance['position' . $i]    = isset( $new_instance['position' . $i] ) ? wp_strip_all_tags( $new_instance['position' . $i] ) : '';
            $instance['content' . $i] = isset( $new_instance['content' . $i] ) ? wp_kses_post( $new_instance['content' . $i] ) : '';
        endfor;

        return $instance;
    }

    // Display the widget
    public function widget( $args, $instance ) {
        extract( $args );

        for ($i = 1; $i <= 3; $i++):
            ${'title' . $i} = isset( $instance['title' . $i] ) ?$instance['title' . $i] : '';
            ${'position' . $i} = isset( $instance['position' . $i] ) ?$instance['position' . $i] : '';
            ${'content' . $i} = isset( $instance['content' . $i] ) ?$instance['content' . $i] : '';
        endfor;

        // WordPress core before_widget hook (always include )
        echo $before_widget;
        // Display the widget
        echo '<div class="c-services">';

        for ($i = 1; $i <= 3; $i++):
            if ( ${'title' . $i} != "" && ${'content' . $i} != ""):
                echo '<div class="c-services--item">';

                    echo '<div class="c-services--ico"><svg width="56px" height="56px"><use xlink:href="#ico--service-' . $i . '"></use></svg></div>';

                    if ( ${'title' . $i} != "" ) {
                        echo '<p class="c-services--heading">' . ${'title' . $i} . '</p>';
                    }
                    if ( ${'position' . $i} != "" ) {
                        echo '<p class="c-services--sub-heading">' . ${'position' . $i} . '</p>';
                    }

                    if ( ${'content' . $i} != "" ) {
                        echo '<div class="c-services--content">' . ${'content' . $i} . '</div>';
                    }

                echo '</div>';
            endif;
        endfor;

        echo '</div>';

        // WordPress core after_widget hook (always include )
        echo $after_widget;
    }
}


// register Biuro_Services
add_action( 'widgets_init', function(){
    register_widget( 'Biuro_Services' );
});

